import * as vue from "vue";
import { defineComponent, mergeProps, unref, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList } from "vue/server-renderer";
import { I as normalizeList } from "../mount.js";
import "js-cookie";
import "events";
import "http";
import "@medv/finder";
import "front-matter";
import "markdown-it";
import "markdown-it-anchor";
import "markdown-it-implicit-figures";
import "markdown-it-link-attributes";
import "markdown-it-video";
import "remove-markdown";
import "./index.2544f8a4.js";
import "body-parser";
import "path-browserify";
import "dotenv";
import "compression";
import "serve-favicon";
import "serve-static";
import "html-minifier";
import "vite";
import "@vue/server-renderer";
import "fs";
import "enquirer";
import "semver";
import "glob";
import "minimist";
import "handlebars";
import "execa";
import "multer";
import "sharp";
import "@vitejs/plugin-vue";
import { _ as _sfc_main$1 } from "./InputElTab.f30b58ad.js";
import "express";
import "axios";
import "knex";
import "dompurify";
import "dayjs";
import "chalk";
import "dayjs/plugin/relativeTime.js";
import "dayjs/plugin/utc.js";
import "dayjs/plugin/timezone.js";
import "dayjs/plugin/updateLocale.js";
import "dayjs/plugin/weekOfYear.js";
import "deepmerge";
import "fast-safe-stringify";
import "spark-md5";
import "nanoid";
import "is-plain-object";
import "prettyoutput";
import "consola";
import "validator";
import "@vueuse/head";
import "node-fetch";
import "vue-router";
import "jsonwebtoken";
import "fs-extra";
import "bcrypt";
import "knex-stringcase";
import "@sinclair/typebox";
import "nodemailer";
import "nodemailer-html-to-text";
import "@tailwindcss/forms";
import "unocss/vite";
import "@unocss/preset-icons";
import "nodemon";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "InputMultipleChoice",
  __ssrInlineRender: true,
  props: {
    modelValue: { type: Array, default: () => [] },
    list: {
      type: Array,
      default: () => []
    },
    maxSelect: {
      type: [Number, String],
      default: 1
    },
    selectLetters: {
      type: String,
      default: "abcdefghijklmnopqrstuvwxyz"
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const choiceLetter = (i) => {
      const remain = i % 26;
      const letters = props.selectLetters;
      return letters[remain].toUpperCase();
    };
    const selectItem = (val) => {
      const hasValue = props.modelValue.indexOf(val);
      if (hasValue > -1) {
        const newList = props.modelValue.filter((v) => v != val);
        emit("update:modelValue", newList);
      } else {
        emit("update:modelValue", [...props.modelValue, val]);
      }
    };
    const parsedList = vue.computed(() => {
      const li = props.list ? normalizeList(props.list) : [];
      return li;
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: "space-y-2 outline-none",
        tabindex: "0"
      }, _attrs))}>`);
      if (unref(parsedList).length == 0) {
        _push(ssrRenderComponent(_sfc_main$1, {
          prefix: "-",
          label: "No options"
        }, null, _parent));
      } else {
        _push(`<!--[-->`);
        ssrRenderList(unref(parsedList), (item, i) => {
          _push(ssrRenderComponent(_sfc_main$1, {
            key: item.value,
            selected: item.value && __props.modelValue.includes(item.value) ? true : false,
            prefix: choiceLetter(i),
            label: item.name,
            onClick: ($event) => {
              var _a;
              return selectItem((_a = item.value) != null ? _a : "");
            }
          }, null, _parent));
        });
        _push(`<!--]-->`);
      }
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("../ui/InputMultipleChoice.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
